/*
===============================================================================
=== Released under GPL (GNU Public License) ==== No Any Warranty ==============
===============================================================================

Debug Utilities

*/

#include "../include/common.h"
#include "../include/debug.h" 

#ifdef DEBUG
#warning "Building Debug Utilities"
#else
#warning "Debug Utilities were not build. Use --enable-debug to enable (only usefull for developers) !"
#endif

#ifdef DEBUG
gint OzEDIT_CBDebug_DumpObjectList(GtkWidget *widget,GdkEvent *event,gpointer data) {
    gint i;
    struct _OzEDIT_Object *object;
    g_print("======= DUMP OBJECT LIST =======\n");
    for(i=0;i<g_list_length(topclass.objects);i++) {
	object = g_list_nth_data(topclass.objects,i);
	g_print("%s (%s)	\n",object->name,object->filename);
	g_print("	Type: %d\n",object->type);
	g_print("	Status: %d\n",object->status);
	g_print("	Frame ID: %d\n",object->frame_id);	
	g_print("	TextBuffer Size: %d\n",gtk_text_buffer_get_char_count(object->text_buffer));
    }    
}

gint OzEDIT_CBDebug_DumpTopclass(GtkWidget *widget,GdkEvent *event,gpointer data) {
    g_print("======= DUMP TOPCLASS =======\n");
    g_print("Workspace: %s (%s)\n",topclass.wsname,topclass.wsfilename);
    g_print("Objects: %d (%d)\n",g_list_length(topclass.objects),topclass.object_counter);
    g_print("Recent Files: %d\n",g_list_length(topclass.recentfiles));
    g_print("Current Page: %d\n",topclass.notebook_current_page);
    g_print("Current FrameID: %d\n",topclass.current_frame_id);
}
#endif
